Get Categories and Labels
curl --request GET \
--url https://api.projectcor.com/v1/categories/labels-model \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.projectcor.com/v1/categories/labels-model"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.projectcor.com/v1/categories/labels-model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/categories/labels-model';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/categories/labels-model",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/categories/labels-model"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": 101,
"name": "Development Team",
"labels": [
{
"id": 3001,
"hex": "#FF5733",
"hsl": null,
"rgb": null,
"lang": "en",
"name": "Backend",
"color_id": 10
},
{
"id": 3002,
"hex": "#33FF57",
"hsl": null,
"rgb": null,
"lang": "en",
"name": "Frontend",
"color_id": 11
},
{
"id": 3003,
"hex": "#3357FF",
"hsl": null,
"rgb": null,
"lang": "en",
"name": "QA",
"color_id": 12
},
{
"id": 3004,
"hex": "#FF33A1",
"hsl": null,
"rgb": null,
"lang": "en",
"name": "DevOps",
"color_id": 13
}
]
},
{
"id": 102,
"name": "Sales Team",
"labels": [
{
"id": 4001,
"hex": "#FFC300",
"hsl": null,
"rgb": null,
"lang": "en",
"name": "Lead Generation",
"color_id": 14
},
{
"id": 4002,
"hex": "#FF5733",
"hsl": null,
"rgb": null,
"lang": "en",
"name": "Account Management",
"color_id": 15
}
]
}
]{
"error": 123,
"message": "<string>"
}Labels
Get Categories and Labels
Returns categories for the company, each with its labels, filtered by which entity type those categories apply to (users, projects, or tasks). Names are returned in the authenticated user’s language.
Use model to choose the taxonomy: user for user/operation labels, project for project labels, and task for task labels. Any other value yields a validation error.
GET
/
categories
/
labels-model
Get Categories and Labels
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Entity type whose category/label tree to return: user (user labels), project (project labels), task (task labels).
Available options:
user, project, task When true (default), only categories with is_filterable set are returned. Use false to include categories that are not marked filterable.
Was this page helpful?

